Ubuntu

Grub installer asks too many questions to the user

Reported by Ara Pulido on 2010-02-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu CD Images
High
Colin Watson
base-installer (Ubuntu)
High
Colin Watson
Lucid
High
Colin Watson
kickseed (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned
ubuntu-meta (Ubuntu)
High
Colin Watson
Lucid
High
Colin Watson
xserver-xorg-video-nouveau (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned

Bug Description

Binary package hint: grub2

Testing Lucid Alpha 3 candidate images.

Although during a simple fresh full disk installation, grub mentions to have found options under /etc/default/grub and asks the user whether to accept them or not (they are blank)

Also, it asks the user where exactly it needs the Grub installer, though it has only one HD.

ProblemType: Bug
Architecture: i386
Date: Tue Feb 23 13:37:00 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Error: [Errno 13] Permiso denegado: '/var/log/installer/media-info'
Package: grub-pc 1.98~20100128-1ubuntu3
ProcEnviron:
 LANG=es_ES.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic
SourcePackage: grub2
Uname: Linux 2.6.32-14-generic i686

Ara Pulido (apulido) wrote :
Colin Watson (cjwatson) on 2010-02-23
affects: grub2 (Ubuntu) → grub-installer (Ubuntu)
Dave Morley (davmor2) wrote :

This asks two sets of questions about grub one early on one and then 3 pages of questions latter in the install.

Changed in grub-installer (Ubuntu):
status: New → Confirmed
tags: added: iso-testing
Colin Watson (cjwatson) wrote :

Hmm, can't reproduce this with the server installer. I'll try alternate in a bit although I'm not sure why it would differ here.

Could you run with DEBCONF_DEBUG=developer and get me the installer syslog, please?

Ara Pulido (apulido) wrote :

Yes, doing it now. I'll post the log when it finishes.

Colin Watson (cjwatson) wrote :
Download full text (4.7 KiB)

This turns out to be a very complicated issue. The background is that when nouveau KMS support was added recently, this came by means of having xserver-xorg-video-nouveau depend on some backported kernel modules. Here's an IRC discussion from today:

16:51 <cjwatson> bryceh,pitti: problem: ubuntu-desktop now transitively depends on grub-pc - ubuntu-desktop -> xserver-xorg-video-all -> xserver-xorg-video-nouveau -> linux-backports-modules-nouveau-lucid-generic -> [...] -> linux-image-* -> grub-pc (recommends)
16:52 <bryceh> cjwatson, ew
16:52 <cjwatson> bryceh,pitti: this is bad because it subverts the installer's logic for boot loader installation and causes bug 526422. we've always tried hard to keep linux out of the desktop task for this reason. what can we do about this?
16:52 <ubottu> Launchpad bug 526422 in grub-installer "Grub installer asks too many questions to the user" [Undecided,Confirmed] https://launchpad.net/bugs/526422
16:53 <pitti> cjwatson: (lagging, desktop meeeting going on)
16:53 <bryceh> cjwatson > #ubuntu-x 2>&1
16:53 <pitti> cjwatson, bryceh: would it be prudent to drop the video-nouveau -> lbm dependency?
16:53 <pitti> the other video drivers don't depend on the kernel either
16:53 <pitti> of course that'd require them to cleanly fail to load if the module isn't present
16:53 <bryceh> pitti, but then would l-b-m-nouveau not be included in the cd?
16:54 <pitti> bryceh: we'd need to seed it explicitly somewhere, I guess
16:54 <cjwatson> but then that would have the same problem
16:54 <pitti> or make it a recommends of linux-image in linux-meta
16:54 <bryceh> as long as that's done it'd be fine. afaik that's the only reason we put the dep on it in there
16:54 <cjwatson> I don't see a clean way to do this, short of making the kernel image package *depend* on lbm-nouveau
16:55 <cjwatson> a recommendation would be ineffective in this case
16:55 <cjwatson> the installer ignores recommends when installing the kernel package, and has to do so because otherwise it would pick up boot loaders when doing so
16:56 <pitti> cjwatson: so the actual linux-image-* -> grub-pc (recommends) should stay and is intended?
16:56 <cjwatson> but I would expect that having the kernel image package depend on lbm-nouveau would cause a chicken-and-egg problem on ABI transitions
16:56 <cjwatson> pitti: yes
16:56 <cjwatson> it's recommends: grub-pc | <other boot loaders>
16:56 <cjwatson> and it got lifted to that due to another bug, iirc
16:57 <cjwatson> apw: ^- is there any chance that we could just have lbm-nouveau integrated into the main kernel package?
16:57 <cjwatson> I wonder if there's any seed trickery I could do
16:57 <pitti> short of that, the only way I see is to make it a dpeendency of -generic, but not of -server
16:57 <pitti> which should amount to the same thing than integrating nouveau into -generic itself?
16:57 <cjwatson> but lbm-nouveau can't be built until after the main package is built
16:58 <pitti> but might be easier to maintain by the kernel team
16:58 <apw> cjwatson, that is likely possible though pretty hard, but we may well be getting rid of it in favour of a bigger backport
16:58 <apw> cjwatson, wahts the issue? isn'...

Read more...

affects: grub-installer (Ubuntu) → xserver-xorg-video-nouveau (Ubuntu)
Colin Watson (cjwatson) wrote :

I've made a seed change which should work around this:

revno: 1453
fixes bug(s): https://launchpad.net/bugs/526422
committer: Colin Watson <email address hidden>
branch nick: platform.lucid
timestamp: Tue 2010-02-23 17:06:01 +0000
message:
  blacklist linux-image-* from desktop-common seed, as workaround for problems in LP: #526422

However, I suspect that base-installer may need to take care to install the appropriate linux-backports-modules-nouveau package matching the kernel; I do not think that apt will be smart enough to realise that it needs to install the -generic-pae package if you already have linux-image-generic-pae installed.

Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package base-installer - 1.103ubuntu4

---------------
base-installer (1.103ubuntu4) lucid; urgency=low

  * Add base-installer/kernel/backports-modules template, which may be
    preseeded to install selected linux-backports-modules-* packages
    (LP: #526422).
 -- Colin Watson <email address hidden> Tue, 23 Feb 2010 17:45:53 +0000

Changed in base-installer (Ubuntu):
status: New → Fix Released
Colin Watson (cjwatson) wrote :

revno: 1529
fixes bug(s): https://launchpad.net/bugs/526422
committer: Colin Watson <email address hidden>
branch nick: debian-cd
timestamp: Tue 2010-02-23 18:01:03 +0000
message:
  install nouveau backports wherever we install the desktop, for now (LP: #526422)

This is a workaround - in particular things will still break whenever the desktop isn't installed by default but is selectable interactively during installation. Hence, a task remains open on xserver-xorg-video-nouveau (but maybe should move to the kernel?) to do something better about how the modules are delivered.

Changed in ubuntu-cdimage:
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Changed in base-installer (Ubuntu):
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Changed in ubuntu-cdimage:
status: New → Fix Released

I need to add xubuntu to the list of affected images, as if it is not already..

Colin Watson (cjwatson) wrote :

I already dealt with Xubuntu in my cdimage change.

Changed in kickseed (Ubuntu Lucid):
status: New → Confirmed
Colin Watson (cjwatson) wrote :

If this persists through to the Lucid release, then we need to make sure that kickseed deals with it automatically.

Changed in kickseed (Ubuntu Lucid):
importance: Undecided → Medium
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kickseed - 0.53ubuntu3

---------------
kickseed (0.53ubuntu3) lucid; urgency=low

  * Preseed base-installer/kernel/backports-modules to 'nouveau' if
    installing a desktop task, as a partial workaround for problems
    elsewhere (LP: #526422).
  * Be lenient if the Kickstart file author forgets the required space after
    '@' in a %packages section (LP: #419392).
 -- Colin Watson <email address hidden> Fri, 05 Mar 2010 15:03:32 +0000

Changed in kickseed (Ubuntu Lucid):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-nouveau - 1:0.0.15+git20100219+9b4118d-0ubuntu4

---------------
xserver-xorg-video-nouveau (1:0.0.15+git20100219+9b4118d-0ubuntu4) lucid; urgency=low

  * debian/control:
    + Drop dependency on linux-backports-modules-nouveau-lucid-FLAVOUR. As of
      2.6.32-16 nouveau is in the main kernel image. Fixes unsatisfiable
      depends (LP: #534978) and prevents the alternate-installer being
      confused (LP: #526422).
    + Drop ancient, unnecessary conflicts/replaces on non-existent nvidia-glx
      virtual package.
  * debian/nouveau_kms:
  * debian/rules:
    + Drop nouveau_kms initramfs-tools hook. Now that nouveau is in the main
      kernel image the existing framebuffer hook correctly copies nouveau into
      the initramfs.
  * debian/dirs:
    + Drop, no longer need initramfs-tools hook directory
  * debian/postinst:
  * debian/postrm:
    + Drop; update-initramfs trigger is no longer necessary.
 -- Christopher James Halse Rogers <email address hidden> Wed, 10 Mar 2010 08:51:31 +1100

Changed in xserver-xorg-video-nouveau (Ubuntu Lucid):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers